All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
RGBToYCbCr411
Color Model Conversion

RGB to YCbCr411 color conversion. More...

## Functions

NppStatus | nppiRGBToYCbCr411_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiRGBToYCbCr411_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr411_8u_AC4P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned packed RGB with alpha to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiRGBToYCbCr411_8u_AC4P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int rDstStep[3], NppiSize oSizeROI)

## Detailed Description

RGB to YCbCr411 color conversion.

## Function Documentation

NppStatus nppiRGBToYCbCr411_8u_AC4P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr411_8u_AC4P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned packed RGB with alpha to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr411_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr411_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | rDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

images.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  rDstStep | Destination-Planar-Image Line Step Array.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation